Index: Makefile.am
===================================================================
--- Makefile.am	(revision 186)
+++ Makefile.am	(revision 0)
@@ -1,151 +1,1 @@
-AM_CPPFLAGS = -I$(top_srcdir) -DLOCALEDIR=\""$(datadir)/locale"\"
-
-SUBDIRS = po m4
-
-bin_PROGRAMS = glemon
-BUILT_SOURCES = guipixbufs.h
-CLEANFILES = guipixbufs.h
-
-glemon_SOURCES = \
-	all_include.h \
-	algobox.cc \
-	algobox.h \
-	algowin.cc \
-	algowin.h \
-	gdc-broken_edge.cc \
-	graph_displayer_canvas.cc \
-	graph_displayer_canvas.h \
-	graph_displayer_canvas-edge.cc \
-	graph_displayer_canvas-event.cc \
-	graph_displayer_canvas-node.cc \
-	graph_displayer_canvas-zoom.cc \
-	graph-displayer.cc \
-	kruskalbox.cc \
-	kruskalbox.h \
-	main_win.cc \
-	main_win.h \
-	mapstorage.cc \
-	mapstorage.h \
-	map_win.cc \
-	map_win.h \
-	mapselector.cc \
-	mapselector.h \
-	nbtab.h \
-	nbtab.cc \
-	new_map_win.cc \
-	new_map_win.h \
-	xymap.h \
-	gui_reader.h \
-	gui_reader.cc \
-	gui_writer.h \
-	gui_writer.cc \
-	xml.h \
-	guipixbufs.h \
-	i18n.h \
-	gettext.h \
-	design_win.h \
-	design_win.cc \
-	dijkstrabox.h \
-	dijkstrabox.cc \
-	background_chooser_dialog.h \
-	background_chooser_dialog.cc
-
-glemon_CXXFLAGS = $(GTK_CFLAGS) $(LEMON_CFLAGS)
-# glemon_LDFLAGS = $(GTK_LIBS) $(LEMON_LIBS)
-glemon_LDADD = $(GTK_LIBS) $(LEMON_LIBS) $(LIBINTL)
-
-IMAGES = \
-	icons/addlink.png \
-	icons/addnode.png \
-	icons/delete.png \
-	icons/editlink.png \
-	icons/editnode.png \
-	icons/move.png \
-	icons/newmap.png
-
-VARIABLES = \
-	gui_icons_addlink $(srcdir)/icons/addlink.png \
-	gui_icons_addnode $(srcdir)/icons/addnode.png \
-	gui_icons_delete $(srcdir)/icons/delete.png \
-	gui_icons_editlink $(srcdir)/icons/editlink.png \
-	gui_icons_editnode $(srcdir)/icons/editnode.png \
-	gui_icons_move $(srcdir)/icons/move.png \
-	gui_icons_newmap $(srcdir)/icons/newmap.png
-
-guipixbufs.h: $(IMAGES)
-	gdk-pixbuf-csource \
-	--raw --build-list $(VARIABLES) > guipixbufs.h ||  \
-	( rm -f guipixbufs.h && false )
-
-EXTRA_DIST = \
-	$(IMAGES) \
-	guipixbufs.h \
-	glemon.spec \
-	AUTHORS \
-	COPYING \
-	LICENSE \
-	NEWS \
-	README \
-	ABOUT-NLS
-
-MRPROPERFILES = \
-	Makefile.in \
-	configure \
-	config.h.in \
-	aclocal.m4 \
-	ABOUT-NLS \
-	m4/Makefile.in \
-	m4/lib-link.m4 \
-	m4/printf-posix.m4 \
-	m4/uintmax_t.m4 \
-	m4/signed.m4 \
-	m4/iconv.m4 \
-	m4/inttypes.m4 \
-	m4/longlong.m4 \
-	m4/glibc21.m4 \
-	m4/inttypes_h.m4 \
-	m4/codeset.m4 \
-	m4/longdouble.m4 \
-	m4/nls.m4 \
-	m4/intmax.m4 \
-	m4/lib-prefix.m4 \
-	m4/glibc2.m4 \
-	m4/xsize.m4 \
-	m4/lcmessage.m4 \
-	m4/lib-ld.m4 \
-	m4/ulonglong.m4 \
-	m4/wint_t.m4 \
-	m4/progtest.m4 \
-	m4/inttypes-pri.m4 \
-	m4/stdint_h.m4 \
-	m4/intdiv0.m4 \
-	m4/isc-posix.m4 \
-	m4/po.m4 \
-	m4/size_max.m4 \
-	m4/gettext.m4 \
-	m4/wchar_t.m4 \
-	po/Rules-quot \
-	po/en@quot.header \
-	po/insert-header.sin \
-	po/quot.sed \
-	po/en@boldquot.header \
-	po/boldquot.sed \
-	po/Makevars.template \
-	po/remove-potcdate.sin \
-	po/Makefile.in.in \
-	build-aux/mkinstalldirs \
-	build-aux/config.rpath \
-	build-aux/depcomp \
-	build-aux/missing \
-	build-aux/config.guess \
-	build-aux/config.sub \
-	build-aux/install-sh
-
-mrproper:
-	$(MAKE) $(AM_MAKEFLAGS) maintainer-clean
-	-rm -f $(MRPROPERFILES)
-
-rpm: dist
-	rpmbuild -ta $(PACKAGE)-$(VERSION).tar.gz
-
-.PHONY: mrproper
+SUBDIRS = src
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 0)
+++ src/Makefile.am	(revision 0)
@@ -0,0 +1,6 @@
+AM_CPPFLAGS = -I$(top_srcdir)/src
+LDADD = $(top_builddir)/src/lemon/libemon.la
+
+bin_PROGRAMS = gui
+
+gui_SOURCES = main.cc
Index: src/main.cc
===================================================================
--- src/main.cc	(revision 0)
+++ src/main.cc	(revision 0)
@@ -0,0 +1,10 @@
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <iostream>
+
+int main()
+{
+  std::cout << "Hello World!" << std::endl;
+}
